plugins {
    alias(libs.plugins.library.common)
    alias(libs.plugins.library.protobuf)
    alias(libs.plugins.refine)
}

android {
    namespace = "com.xayah.core.rootservice"
    ndkVersion = "25.2.9519653"

    buildTypes {
        release {
            isMinifyEnabled = false
        }
    }

    buildFeatures {
        aidl = true
    }

    externalNativeBuild {
        cmake {
            path("src/main/cpp/CMakeLists.txt")
            version = "3.22.1"
        }
    }
}

dependencies {
    compileOnly(project(":core:hiddenapi"))
    implementation(project(":core:systemapi"))
    implementation(project(":core:util"))
    implementation(project(":core:common"))
    implementation(project(":core:datastore"))
    implementation(project(":core:model"))

    // AndroidX
    implementation(libs.androidx.core.ktx)

    // Coroutines
    implementation(libs.kotlinx.coroutines.core.jvm)

    // libsu
    implementation(libs.libsu.service)

    // Gson
    implementation(libs.gson)
}